Skip to main content
GET
/
tokens
/
{address_hash}
get token info
curl --request GET \
  --url https://eth.blockscout.com/api/v2/tokens/{address_hash}
import requests

url = "https://eth.blockscout.com/api/v2/tokens/{address_hash}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://eth.blockscout.com/api/v2/tokens/{address_hash}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "circulating_market_cap": "83606435600.3635",
  "icon_url": "https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png",
  "name": "Tether USD",
  "decimals": "6",
  "symbol": "USDT",
  "type": "ERC-20",
  "exchange_rate": "0.99",
  "total_supply": "10000000",
  "address_hash": "0x394c399dbA25B99Ab7708EdB505d755B3aa29997",
  "holders_count": "837494234523"
}

Path Parameters

address_hash
string
required

Address hash

Pattern: ^0x([A-Fa-f0-9]{40})$

Response

token

circulating_market_cap
string
required
Example:

"83606435600.3635"

icon_url
string
required
Example:

"https://raw.githubusercontent.com/trustwallet/assets/master/blockchains/ethereum/assets/0xdAC17F958D2ee523a2206206994597C13D831ec7/logo.png"

name
string
required
Example:

"Tether USD"

decimals
string
required
Example:

"6"

symbol
string
required
Example:

"USDT"

type
string
required
Example:

"ERC-20"

exchange_rate
string
required
Example:

"0.99"

total_supply
string
required
Example:

"10000000"

address_hash
string
Example:

"0x394c399dbA25B99Ab7708EdB505d755B3aa29997"

holders_count
string
Example:

"837494234523"